Module google :: Class SearchResult |
[show private | hide private]
[frames | no frames]

## Class SearchResult

    _SearchBase --+
                  |
                 SearchResult

Encapsulates the results from a search.

Method Summary
Inherited from _SearchBase
| ``__init__`(self, params)`

Instance Variable Summary
| `cachedSize`: size of cached version of this result, (KB)
| `directoryCategory`: Open Directory category information
| `directoryTitle`: Open Directory title of this result (or blank)
| `hostName`: used when filtering occurs
| `relatedInformationPresent`: is the "related:" keyword supported?
| `snippet`: snippet showing query context (HTML
| `summary`: Open Directory summary for this result (or blank)
| `title`: title (HTML)
| `URL`: URL

Instance Variable Details

### cachedSize size of cached version of this result, (KB)

### directoryCategory Open Directory category information This field is a dictionary with the following values:
       { 'fullViewableName': 'the Open Directory category',
         'specialEncoding' : 'encoding scheme of this directory category'
       }

### directoryTitle Open Directory title of this result (or blank)

### hostName used when filtering occurs When filtering occurs, a maximum of two results from any given host is returned. When this occurs, the second resultElement that comes from that host contains the host name in this parameter.

### relatedInformationPresent is the "related:" keyword supported? Flag indicates that the "related:" keyword is supported for this URL

### snippet snippet showing query context (HTML

### summary Open Directory summary for this result (or blank)

### title title (HTML)

### URL URL

Generated by Epydoc 2.0 on Wed Feb 25 18:54:21 2004 | http://epydoc.sf.net